$(function(){
	var mescroll = new MeScroll("mescroll", {
		down:{
			use:false
		},
		up: {
			callback: getListData,
			clearEmptyId: "dataList",
			isBounce: false,
			noMoreSize: 3,
			empty: {
				icon: "../images/mescroll-empty.png",
				tip: "暂无相关数据~"
			},
			toTop:{
				src : "../images/back-top.png",
				offset : 500
			},
		}
	});
	
	function getListData(page){
		page.size=5;
		getListDataFromNet( page.num, page.size, function(curPageData){
			mescroll.endSuccess(curPageData.length, hasNext);
			setListData(curPageData);
		}, function(){
            mescroll.endErr();
		});
	}
	
	/*设置列表数据*/
	function setListData(curPageData){
		var strHtml='';
		for (var i = 0; i < curPageData.length; i++) {
			strHtml+='<li url="'+curPageData[i]["LinkUrl"]+'" title="'+curPageData[i]["SubTitle"]+'">';
			strHtml+='	<p class="img"><img src="../images/empty-min.gif" data-src="'+curPageData[i]["ImgUrl"]+'" onload="load(this)" alt="" /><span>截至日期：'+formatDate(curPageData[i]["EndTime"])+'</span></p>';
			strHtml+='	<p class="name"><span>'+curPageData[i]["Title"]+'</span></p>';
			strHtml+='</li>';
		}
		$('#dataList').append(strHtml);
		
		$('.activity li').on('tap',function(){
			var linkurl=$(this).attr('url'),title=$(this).attr('title');
			mui.openWindow({
    			url:'../tripartite/index.html',
    			extras:{
    				linkurl:linkurl,
    				title:title
    			}
    		})
		});
	}
	
	function getListDataFromNet(pageNum,pageSize,successCallback,errorCallback) {
		
        $.ajax({
            type: 'GET',
            url: 'http://api.ineway.cn/app/GetActivityList?pageIndex=' + pageNum + '&pageSize=' + pageSize,
            dataType: 'json',
            success: function (data) {
            	
                var listData = data.ActivityList;
                pageTotal = data.TotalPage;
                if (pageNum >= pageTotal) {
                    hasNext=false;
                } else {
                	hasNext=true;
                }
                successCallback(listData);
                
            },
            error: errorCallback
        });
        
	}
});