$(function(){
	
	//导航菜单
	var mescrollArr=new Array(12);//每个菜单对应一个mescroll对象
	
	//当前菜单下标
	var curNavIndex=0;
	
	var totalPage = 0, strcategory = '', strkw = '',hasNext=true;
	
	//初始化首页
	mescrollArr[curNavIndex]=initMescroll(curNavIndex);
	
	/*初始化轮播*/
	var swiper=new Swiper('#swiper', {
        onTransitionEnd: function(swiper){
        	var i=swiper.activeIndex;//轮播切换完毕的事件
        	changePage(i);
	    }
    });
    
    /*菜单点击事件*/
	$("#nav li").on('tap',function(){
		var i=Number($(this).attr("i"));
		swiper.slideTo(i);//以轮播的方式切换列表
	})
	
	/*切换列表*/
	function changePage(i) {
		if(curNavIndex!=i) {
			//更改列表条件
			var curNavDom;//当前菜单项
			$("#nav li").each(function(n,dom){
				if (dom.getAttribute("i")==i) {
					strcategory=$(this).attr('data-cat');
					dom.classList.add("active");
					curNavDom=dom;
				} else{
					dom.classList.remove("active");
				}
			});
			//菜单项居中动画
			var scrollxContent=document.getElementById("scrollxContent");
			var star = scrollxContent.scrollLeft;//当前位置
			var end = curNavDom.offsetLeft + curNavDom.clientWidth/2 - document.body.clientWidth/2; //居中
			mescrollArr[curNavIndex].getStep(star, end, function(step,timer){
				scrollxContent.scrollLeft=step;
			});
			//隐藏当前回到顶部按钮
			mescrollArr[curNavIndex].hideTopBtn();
			if(mescrollArr[i]==null){
				mescrollArr[i]=initMescroll(i);
			}else{
				var curMescroll=mescrollArr[i];
				var curScrollTop=curMescroll.getScrollTop();
				if(curScrollTop>=curMescroll.optUp.toTop.offset){
					curMescroll.showTopBtn();
				}else{
					curMescroll.hideTopBtn();
				}
			}
			//更新标记
			curNavIndex=i;
		}
	}
	
	/*创建MeScroll对象*/
	function initMescroll(index){
		var mescroll = new MeScroll("mescroll"+index, {
			up: {
				callback: getListData,
				isBounce: false,
				noMoreSize: 4,
				empty: {
					icon: "../images/mescroll-empty.png",
					tip: "暂无相关数据~"
				},
				clearEmptyId: "dataList"+index,
				toTop:{
					src : "../images/back-top.png",
					offset : 500
				},
				onScroll:function(){
					echoInit();
				},
				isBounce:false
			}
		});
		return mescroll;
	}
	
	function getListData(page,strcategory){
		var dataIndex=curNavIndex;
		getListDataFromNet(dataIndex, page.num, page.size, function(pageData){
			mescrollArr[dataIndex].endSuccess(pageData.length, hasNext);
			setListData(pageData,dataIndex);
		}, function(){
            mescrollArr[dataIndex].endErr();
		});
	}
	
	/*设置列表数据 */
	function setListData(pageData,dataIndex){
		var listDom=$("#dataList"+dataIndex);
		var strHtml = '';
		for (var i = 0; i < pageData.length; i++) {
			var pd=pageData[i];
			
			var minus = 0;
			if(pd["CouponInfo"]!=null){
				if (pd["CouponInfo"].indexOf("元无条件券") > 0) {
					minus = pd["CouponInfo"].replace(/[^0-9]/ig, "");
				} else {
					minus = pd["CouponInfo"].match(/元减(\S*)元/)[1];
				}
			
				var newprice = parseFloat(parseFloat(pd["ZkFinalPrice"]) - minus).toFixed(2);
				var usertype = pd["UserType"] == 1 ? "天猫" : "淘宝";
	
				strHtml += '<dl class="couponlink" hr="detail.html"><dt>';
				strHtml += '<input name="dataipt" type="hidden" data-hdid="'+pd["NumIid"]+'" data-minus="'+minus+'" data-time="'+pd["CouponEndTime"]+'" data-volume="'+pd["Volume"]+'" data-links="'+pd["CouponClickUrl"]+'" value="" />';
				strHtml += '	<div>';
				strHtml += '    	<span class="adapt"><img src="../images/empty.gif" data-echo="' + pd["PictUrl"] + '_320x320q90.jpg" alt="' + pd["Title"] + '" /></span>';
				strHtml += '        <span class="coupons"><em>专享</em>券￥' + minus + '</span>';
				strHtml += '  	</div>';
				strHtml += '</dt>';
				strHtml += '<dd>';
				strHtml += '	<h3>' + pd["Title"] + '</h3>';
				strHtml += '	<p class="lump">';
				if (newprice > 0) {
					strHtml += ' 	<span class="ticket">券后价<em class="tip-b"></em></span>';
					strHtml += '  	<span class="newprice"><i>￥</i>' + newprice + '</span>';
				} else {
					strHtml += ' 	<span class="ticket">券已失效<em class="tip-b"></em></span>';
				}
				strHtml += '		<span class="aux fr">' + usertype + '</span>';
				strHtml += ' 	</p>';
				strHtml += '  	<p class="lump">';
				strHtml += '     	<span class="oldprice">原价:<em>￥' + parseFloat(pd["ZkFinalPrice"]) + '</em></span>';
				strHtml += '      	<span class="aux fr">月销量:' + pd["Volume"] + '</span>';
				strHtml += ' 	</p>';
				strHtml += '</dd></dl>';
			}
		}
		listDom.append(strHtml);
		
		$('dl.couponlink').on('tap',function(){
			var ipt=$(this).find('input[name=dataipt]');
			mui.openWindow({
			    url: $(this).attr('hr'),
			    extras:{
			    	hdid:ipt.attr('data-hdid'),
			    	minus:ipt.attr('data-minus'),
			    	time:ipt.attr('data-time'),
			    	volume:ipt.attr('data-volume'),
			    	links:ipt.attr('data-links')
			    }
			});
		});
		
		echoInit();
	}
	
	function getListDataFromNet(curNavIndex,pageNum,pageSize,successCallback,errorCallback) {
		
    	$.ajax({
            type: 'GET',
            url: 'http://api.ineway.cn/tbk/getCouponList',
			data: { "pageno": pageNum, "pagesize": pageSize, "kw": strkw, "cat": strcategory, "adzoneid": 279974333},
            dataType: 'json',
            success: function(data){
            	
            	var listData=data.GoodsList;
            	if(curNavIndex==0){
            		if(pageNum>=500){
            			hasNext=false;
            		}else{
            			hasNext=true;
            		}
            	}else{
            		if(pageNum>=1){
            		hasNext=false;
            		}else{
            			hasNext=true;
            		}
            	}
            	
            	//回调
            	successCallback(listData);
            },
            error: errorCallback
        });
	}
	
	//搜索
	$('.search').on('tap',function(){
		mui.openWindow({
		    url: '../soso/list.html',
		    id:'sosolist',
		    extras:{
				kw:''
			}
		});
	});
	
});

function echoInit() {
    echo.init({
        offset : 0,
        throttle : 0 //设置图片延迟加载的时间
    });
}