$(function(){
	
	//数据列表
	var mescrollArr=new Array(10);
	var totalPage = 0, strcategory = '', strkw = '',hasNext=true;
	
	var mescroll = new MeScroll("mescroll", {
		up: {
			callback: getListData,
			isBounce: false,
			clearEmptyId: "dataList",
			warpId: "upscrollWarp",
			toTop:{
				src : "../images/back-top.png",
				offset : 500
			}
		},down:{
			use:false
		}
	});
	
	var navWarp=document.getElementById("navWarp");
	if(mescroll.os.ios){
		navWarp.classList.add("nav-sticky");
	}else{
		navWarp.style.height=navWarp.offsetHeight+"px";
		var navContent=document.getElementById("navWarp");
		mescroll.optUp.onScroll=function(mescroll, y, isUp){
			if(y>=navWarp.offsetTop){
				navContent.classList.add("nav-fixed");
			}else{
				navContent.classList.remove("nav-fixed");
			}
			echoInit();
		}
	}
	
	/*初始化菜单*/
	var pdType=0;
	$(".nav li").on('tap',function(){
		var i=$(this).attr("i");
		strcategory=$(this).attr('data-cat');
		if(pdType!=i) {
			//更改列表条件
			pdType=i;
			//变色
			var curNavDom;//当前菜单项
			$(".nav li").each(function(i,dom){
				if(dom.getAttribute("i")==pdType){
					dom.classList.add("active");
					curNavDom=dom;
				}else{
					dom.classList.remove("active");
				}
			})
			
			//菜单项居中动画
			var scrollxContent=document.getElementById("navContent");
			var star = scrollxContent.scrollLeft;//当前位置
			var end = curNavDom.offsetLeft + curNavDom.clientWidth/2 - document.body.clientWidth/2; //居中
			mescroll.getStep(star, end, function(step,timer){
				scrollxContent.scrollLeft=step; //从当前位置逐渐移动到中间位置,默认时长300ms
			});
			
			var h=$('.screenF').height();
			var minHight = mescroll.getClientHeight() - navWarp.offsetHeight;
			if($('#navWarp').hasClass('nav-sticky')||$('#navWarp').hasClass('nav-fixed')){
				$('.mescroll').scrollTop(h+10);
			}
			document.getElementById("upscrollWarp").style.height = minHight+"px";
			//重置列表数据
			mescroll.resetUpScroll();
		}
	})
	
	function getListData(page){
		getListDataFromNet(pdType, page.num, page.size, function(curPageData){
			mescroll.endSuccess(curPageData.length, hasNext);
			setListData(curPageData);
		}, function(){
            mescroll.endErr();
		});
	}
	
	/*设置列表数据*/
	function setListData(pageData){
		var listDom=$("#dataList");
		var strHtml = '';
		for (var i = 0; i < pageData.length; i++) {
			var pd=pageData[i];
			var item=pd['item'];
			
			var newprice=parseFloat(item.discountPrice-pd['amount']).toFixed(2);
			var usertype=item.tmall=="1"?"淘宝":"天猫";

			strHtml += '<dl class="couponlink" hr="../coupon/detail.html"><dt>';
			strHtml += '<input name="dataipt" type="hidden" data-hdid="'+item["itemId"]+'" data-minus="'+pd['amount']+'" data-time="'+pd["effectiveEndTime"]+'" data-volume="'+item["biz30Day"]+'" data-links="'+item["shareUrl"]+'" value="" />';
			strHtml += '	<div>';
			strHtml += '    	<span class="adapt"><img src="images/empty.gif" data-echo="http://' + item["picUrl"] + '_320x320q90.jpg" alt="' + item["title"] + '" /></span>';
			strHtml += '        <span class="coupons"><em>专享</em>券￥' + pd['amount'] + '</span>';
			strHtml += '  	</div>';
			strHtml += '</dt>';
			strHtml += '<dd>';
			strHtml += '	<h3>' + item["title"] + '</h3>';
			strHtml += '	<p class="lump">';
			if (newprice > 0) {
				strHtml += ' 	<span class="ticket">券后价<em class="tip-b"></em></span>';
				strHtml += '  	<span class="newprice"><i>￥</i>' + newprice + '</span>';
			} else {
				strHtml += ' 	<span class="ticket">券已失效<em class="tip-b"></em></span>';
			}
			strHtml += '		<span class="aux fr">' + usertype + '</span>';
			strHtml += ' 	</p>';
			strHtml += '  	<p class="lump">';
			strHtml += '     	<span class="oldprice">原价:<em>￥' + parseFloat(item.discountPrice).toFixed(2) + '</em></span>';
			strHtml += '      	<span class="aux fr">月销量:' + item.biz30Day + '</span>';
			strHtml += ' 	</p>';
			strHtml += '</dd></dl>';
			
		}
		listDom.html(strHtml);
			
		$('dl.couponlink').on('tap',function(){
			
			var ipt=$(this).find('input[name=dataipt]');//console.log($(this).attr('hr'));
			mui.openWindow({
			    url: $(this).attr('hr'),
			    extras:{
			    	hdid:ipt.attr('data-hdid'),
			    	minus:ipt.attr('data-minus'),
			    	time:ipt.attr('data-time'),
			    	volume:ipt.attr('data-volume'),
			    	links:ipt.attr('data-links')
			    }
			});
		});
		
		echoInit();
	}
	
	function getListDataFromNet(pdType,pageNum,pageSize,successCallback,errorCallback) {
		
		$.ajax({
            type: 'GET',
            url: 'http://uland.taobao.com/cp/coupon_list?hide_share_btn=true&title=%E4%BC%98%E6%83%A0%E5%88%B8%E6%B8%85%E5%8D%95&spm=a21wq.8281632.1002.2&pid=mm_121205042_20762681_279974333&category='+strcategory+'&queryCount=100&fromApp=1',
			dataType: 'json',
            success: function(data){
            	var listData=data.result.couponList;
            	hasNext=false;
            	successCallback(listData);
            },
            error: errorCallback
        });
	}
	
	//搜索
	$('.soso').on('tap',function(){
		mui.openWindow({
		    url: 'soso/list.html',
		    extras:{
				kw:''
			}
		});
	});
	
});

function echoInit() {
    echo.init({
        offset : 0,
        throttle : 0 //设置图片延迟加载的时间
    });
}