mui.ready(function(){
	
	mui.plusReady(function(){ 
		var launchFlag = plus.storage.getItem("launchFlag");
		
		var uuid=plus.device.uuid,
	    	model=plus.device.model,
	    	osname=plus.os.name,
	    	osversion=plus.os.version,
	    	province='',
	    	city='',
	    	address='',
	    	version='v1.0.9.1',
	    	channel='v1.0.9.1',
	    	startup=1;
		
        if(!launchFlag) {
        	plus.storage.setItem("launchFlag", "true");
            startup=0;
        }
        plus.geolocation.getCurrentPosition(
        	function translatePoint(position) {
		        province=position.address.province;
		        city = position.address.city;
		        if(province==undefined){
		        	province=city;
		        }
		        var district=position.address.district;
		        var street=position.address.street;
		        if(district!=''&&street!=''){
		        	address=position.address.district+position.address.street;
		        }
		        //console.log(province+','+city+','+address);
		        statistic(province,city,address);
			}, function(e) {
				statistic(province,city,address);
	            //mui.toast("异常:" + e.message);
	       	}
		);
        
        //统计
		function statistic(province,city,address){
			$.ajax({
	            type: 'POST',
	            url: 'http://api.ineway.cn/statistic/create',
	            data: {"model":model,"osname":osname,"osversion":osversion,"province":province,"city":city,"address":address,"uuid":uuid,"version":version,"channel":channel,"startup":startup},
	            dataType: 'json',
	            success: function(reslut){
	            	//console.log(reslut);
	            }
	        });
		}
        
	});
	
});